Bug 700361 - [abrt] gnome-screensaver-3.0.0-1.fc15: screen_info_free: Process /usr/bin/gnome-screensaver was killed by signal 6 (SIGABRT)
[abrt] gnome-screensaver-3.0.0-1.fc15: screen_info_free: Process /usr/bin/gno...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:e1097e8c2f813675c021cb0f567...
:
: 675927 700247 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-28 04:26 EDT by Johan Vervloet
Modified: 2012-08-07 14:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:20:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (20.03 KB, text/plain)
2011-04-28 04:26 EDT, Johan Vervloet
no flags Details
File: build_ids (2.28 KB, text/plain)
2011-04-28 04:26 EDT, Johan Vervloet
no flags Details
File: dsos (14.54 KB, text/plain)
2011-04-28 04:26 EDT, Johan Vervloet
no flags Details
File: maps (20.03 KB, text/plain)
2011-04-28 04:26 EDT, Johan Vervloet
no flags Details
File: backtrace (27.52 KB, text/plain)
2011-04-28 04:26 EDT, Johan Vervloet
no flags Details

  None (edit)
Description Johan Vervloet 2011-04-28 04:26:11 EDT
abrt version: 2.0.1
comment: Tried to lock the screen.  Nothing happened.  I am using the nvidia drivers.
executable: /usr/bin/gnome-screensaver
cmdline: gnome-screensaver
component: gnome-screensaver
architecture: x86_64
kernel: 2.6.38.2-9.fc15.x86_64
crash_function: screen_info_free
reason: Process /usr/bin/gnome-screensaver was killed by signal 6 (SIGABRT)
package: gnome-screensaver-3.0.0-1.fc15
username: johanv
uid: 500
os_release: Fedora release 15 (Lovelock)
time: 1303978060
rating: 4

Text file: event_log, 20507 bytes
Text file: build_ids, 2337 bytes
Binary file: coredump, 9981952 bytes
Text file: dsos, 14894 bytes
Text file: maps, 20506 bytes
Text file: backtrace, 28176 bytes

environ
-----
XDG_SESSION_ID=15
HOSTNAME=linux-jve2
IMSETTINGS_INTEGRATE_DESKTOP=yes
SHELL=/bin/bash
TERM=dumb
HISTSIZE=1000
XDG_SESSION_COOKIE=2f40c276c92eafbddcb5522800000062-1303978058.452728-2011624082
GNOME_KEYRING_CONTROL=/tmp/keyring-GBGIru
IMSETTINGS_MODULE=none
USER=johanv
USERNAME=johanv
MAIL=/var/spool/mail/johanv
PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/johanv/bin:/home/johanv/dev/AndroidSDK:/home/johanv/dev/AndroidSDK/tools:/home/johanv/dev/AndroidSDK/platform-tools
DESKTOP_SESSION=gnome
QT_IM_MODULE=xim
PWD=/home/johanv
XMODIFIERS=@im=none
GNOME_KEYRING_PID=13026
LANG=en_US.UTF-8
GDM_LANG=
GDMSESSION=gnome
SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
HISTCONTROL=ignoredups
HOME=/home/johanv
SHLVL=1
LOGNAME=johanv
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-efWo2qUANH,guid=97a48323581c0c395acacdfe00001654
'LESSOPEN=||/usr/bin/lesspipe.sh %s'
WINDOWPATH=7
XDG_RUNTIME_DIR=/run/user/johanv
DISPLAY=:0
GTK_IM_MODULE=gtk-im-context-simple
G_BROKEN_FILENAMES=1
XAUTHORITY=/var/run/gdm/auth-for-johanv-dNInG5/database
_=/usr/bin/gnome-session
GNOME_DESKTOP_SESSION_ID=this-is-deprecated
SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/13034,unix/unix:/tmp/.ICE-unix/13034
ORBIT_SOCKETDIR=/tmp/orbit-johanv
SSH_AUTH_SOCK=/tmp/keyring-GBGIru/ssh
GPG_AGENT_INFO=/tmp/keyring-GBGIru/gpg:0:1
DESKTOP_AUTOSTART_ID=101c2ce1ea6ac3305913039780596032100000130340017
Comment 1 Johan Vervloet 2011-04-28 04:26:14 EDT
Created attachment 495443 [details]
File: event_log
Comment 2 Johan Vervloet 2011-04-28 04:26:16 EDT
Created attachment 495444 [details]
File: build_ids
Comment 3 Johan Vervloet 2011-04-28 04:26:19 EDT
Created attachment 495445 [details]
File: dsos
Comment 4 Johan Vervloet 2011-04-28 04:26:21 EDT
Created attachment 495446 [details]
File: maps
Comment 5 Johan Vervloet 2011-04-28 04:26:26 EDT
Created attachment 495447 [details]
File: backtrace
Comment 6 Johan Vervloet 2011-04-28 07:43:05 EDT
A workaround:

I ran the nvidia-settings program, and changed the X Server Display Configuration from 'Separate X Screen' to 'Twin View'.

I don't know what this is about, but now it works.  I was using Separate X Screen in F14 because otherwise maximising didn't work with my dual monitor setup.
Comment 7 Fedora Admin XMLRPC Client 2011-06-21 11:56:18 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-06-21 11:59:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 abrt-bot 2012-03-20 15:06:51 EDT
Backtrace analysis of bugs across components suggests the actual bug might be in component glib2, or some other component, instead of component gnome-screensaver. You might want to inspect the backtraces from the bugs listed below to find out the correct component.

Bugs which were found to be similar to this bug: 
  control-center: bug #700247
  gnome-screensaver: bug #675927

This comment is automatically generated.
Comment 10 abrt-bot 2012-03-20 15:06:58 EDT
*** Bug 700247 has been marked as a duplicate of this bug. ***
Comment 11 abrt-bot 2012-03-20 15:07:07 EDT
*** Bug 675927 has been marked as a duplicate of this bug. ***
Comment 12 Fedora End Of Life 2012-08-07 14:20:38 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.